$(document).ready(function () {
    $("body").on('dblclick', '.schltab', tableval);
    $("body").on('focus', '.custcode', showschl);
    $("body").on('keyup change', '.tsearch', searchschl);

    $("#schlmodal").on('shown.bs.modal', function () {
        $(".tsearch").val("");
        $(".tsearch").focus();
        searchschl();
    });
    function showschl() {
        var code = $('.custcode').val();
        if (code == '') {
            $(".tsearch").val("");
            $(".tsearch").focus();
            $("#schlmodal").modal("show");
        }

    }

    function tableval() {
        var tr = $(this).closest("tr");
        var cust = tr.find(".scust").val(),
                accode = tr.find(".accode").val();
        $(".custcode").val(cust);
        $(".party").val(accode).trigger('change');
        $("#schlmodal").modal("hide");
        $('.amount').focus();
        }

    function searchschl() {
        var search = $(".tsearch").val();
        $.post('get_school.php', {search: search}, function (data) {
            $(".myTable").html(data);
        });
    }

});